Adding fba_libretro.so alongside FinalBurn Neo in 6.1



  • Hello,

    i would like to have back the old core fb liretro from rb 4.1 (which allowed me 60 fbs in SF3 third strike on my pi3b, as the new fbneo doesnt with only 52 fps and crackling sound).

    i found fba_libretro.so file from my old 4.1 image and place it under usr\lib\libretro alongside other cores

    what should i do now to have the possibilty to select this core under the roms metadata core option (as now i can only select the default libretro fbneo core)

    i guess to add a line in es_system.cfg will not be enough, as maybe the option to select the core's name i would write there will be apparent, but it should have another thing to set up somewhere to effetively lunch the wanted core i added...

    any help?

    cheers



  • well from what i understand , the core need to be recompiled?

    i found a temporary solution by renomming the fba core with same name of fbneo core and it is working, but i would prefer to have the choice between the two for actual roms compability set

    cheers for anyone who can help

    and please developer note that we are in difficult situation with the new fbneo core for every Rpi under the 3b+ with cps3 fighting game (drop in fps also occurs with asura blade and jojo ba)
    update should not bring less performance isnt it ? dont get me wrong i more than aprreciate all the work done, i love RB just want to bring out this problem


  • CRT Hero

    @Lienj-Gorimaa said in Adding fba_libretro.so alongside FinalBurn Neo in 6.1:

    and please developer note that we are in difficult situation with the new fbneo core for every Rpi under the 3b+ with cps3 fighting game (drop in fps also occurs with asura blade and jojo ba)
    update should not bring less performance isnt it ?

    Most of the time, fixing issues involves less performance.

    [angry mode on]
    If we have to stop fixing issues so that people can keep using broken emulation on an outdated 35$ computer instead of buying the new version of that same computer, which handles the fixed emulation, we might as well stop developping emulators. In the first place, FBNeo is an emulator for desktop computer, so you should be happy we still show concerns for people with low-end devices (MAME doesn't !), because there is an issue with CPS3 emulation that would make playing it on any raspberry pi mostly impossible if we decided to fix it (actually we fixed it but decided to drop the fix after seeing the drastic decrease in performances).
    [angry mode off]



  • mmm maybe you missed the point, you are the develloper of FBneo, of course you are trying to always improve and fixing issue, even if it involve performance, and as you said fbneo is an emulator for desktop computer... here i was speaking to the developpers of recalbox, especially about the Rpi package.

    So let me go in angry mode too:

    First i live in cambodia and y average salary is 600$ which is far above the average salary already, so please come back in consideration what could 35$ represent with this new ratio.

    And second why i couldnt address this issue to RB developers? it is up to them to include the last iteration of FB, but also as they still include old mame version or even FBA2x in regard to less powerfull pi owner, why couldnt they keep both version of FB the 0.39 and the 0.44, knowingthat we cannot use any versus fighting CPS3 game without crackling sound and less than 60 fps as long as we cannot afford at least the pi3b+ (which by the way since the release of pi4 became more aound 55$ nowadays) with the last available RB version ???

    angry mode off

    by the way i managed to roll back to FBa .39 as mentionned earlier, and now i can play again all my games at 60 fps , perfect sound, still working even with the last retroarch version and new menu.... i woul have prefered to have the choice to select for each game the core version, because to acheive that without too musch hassle i have to replace the fbneo core with the old one but with same name, meaning all my neo geo roms have to be re tweaked with my personal option. but i am happy with it now, just thinking of all other people facing the same problem....


  • Staff
    Developer
    Global moderator
    Team

    @Lienj-Gorimaa said in Adding fba_libretro.so alongside FinalBurn Neo in 6.1:

    First i live in cambodia and y average salary is 600$ which is far above the average salary already, so please come back in consideration what could 35$ represent with this new ratio.

    Sorry this forum is not the good place for your personal issues. Please stop this kind of message.



  • i dont have any issue regarding my living place and/or salary, just put back things in perspective when he was saying
    "If we have to stop fixing issues so that people can keep using broken emulation on an outdated 35$ computer instead of buying the new version of that same computer, which handles the fixed emulation, we might as well stop developping emulators",

    but i will not do it anymore



  • and please can we stay on the topics: availability of old core regarding to CPS3 games slowdown in "old" generation Rpi?


  • CRT Hero

    @Lienj-Gorimaa said in Adding fba_libretro.so alongside FinalBurn Neo in 6.1:

    First i live in cambodia and y average salary is 600$ which is far above the average salary already, so please come back in consideration what could 35$ represent with this new ratio.

    • That's more than twice the average pay in cambodia, so you can definitely afford a 35$ computer every few years with that pay, rpi3 is more than 4 years old now. Or are you telling me you monitor every cents you spend with that pay ? Could you honestly tell me you didn't spend much more on, let's say, smartphones in the meantime while your previous one was still perfectly fine ?
    • It's not as if the rpi3 can't handle cps3 with the new core, you just prefer using an older core, whatever the bugs it might have, over using the fixed version with frameskip.
    • More cores = more confusion for end users = more work for us developpers. How about also keeping 0.30, 0.31, 0.32, 0.33, 0.34, 0.35, 0.36, 0.37, 0.38, 0.40, 0.41, 0.42 and 0.43 versions ? Only the cps3, a system with 6 games, is relevant ? Such a bad idea, there would be no end to this...

  • Staff
    Developer
    Global moderator
    Team

    Please stay in the topic or it'll be closed.


  • CRT Hero

    @OyyoDams i think explaining why having multiple versions of the core is both a bad idea and unnecessary isn't out of subject though



  • how many version of mame is already available in Rb 6.1 (mame 2000, mame 2003, mame 2003+, mame 2010, mame 2015, advance mame?)

    for the rest about my personal spending i can bring down your argument in only one objective sentence, but i wont by respect to the promise i made to OyyoDams (if you want to know it just PM me )


  • Staff
    Developer
    Global moderator
    Team

    @Lienj-Gorimaa that's not a good answer to keep everyone in peace. Now that's enough, I've warned you 2 times, now the topic is closed.



Want to support us ?

296
Online

80.4k
Users

21.5k
Topics

157.3k
Posts